<mat-card>
  <mat-card-title>{{!!_newUser ? 'ویرایش کاربر' : 'افزودن کاربر' }}</mat-card-title>
  <mat-card-content>
    <form>
      <mat-form-field>
        <input tabindex="1" matInput type="text" placeholder="نام" [formControl]="firstName" [(ngModel)]="user.firstName" required
          (input)="user.firstName = $event.target.value">
        <mat-error *ngIf="firstName.invalid">{{getfirstNameErrorMessage()}}</mat-error>
      </mat-form-field>
      <mat-form-field>
        <input tabindex="2" matInput type="text" placeholder="نام خانوادگی" [formControl]="lastName" [(ngModel)]="user.lastName"
          required (input)="user.lastName = $event.target.value">
        <mat-error *ngIf="lastName.invalid">{{getEmailErrorMessage()}}</mat-error>
      </mat-form-field>
      <mat-form-field class="eng-input">
        <input tabindex="3" matInput type="email" placeholder="ایمیل" [formControl]="email" [(ngModel)]="user.email" required (input)="user.email = $event.target.value">
        <mat-error *ngIf="email.invalid">{{getEmailErrorMessage()}}</mat-error>
      </mat-form-field>
      <mat-form-field class="eng-input">
        <input tabindex="4" matInput type="password" placeholder="رمز عبور" [formControl]="password" [(ngModel)]="user.password"
          required (input)="user.password = $event.target.value">
        <mat-error *ngIf="password.invalid">{{getPasswordErrorMessage()}}</mat-error>
      </mat-form-field>
      <div>
        <label>ادمین؟</label>
        <mat-radio-group (change)="changeAdminType($event)">
          <mat-radio-button value="1" [checked]="isAdmin">بله</mat-radio-button>
          <mat-radio-button value="2" [checked]="!isAdmin">خیر</mat-radio-button>
        </mat-radio-group>
      </div>
    </form>
  </mat-card-content>
  <mat-card-footer>
    <button mat-flat-button color="warn" *ngIf="!!newUser" (click)="edit()">ویرایش</button>
    <button mat-flat-button color="primary" *ngIf="!(!!newUser)" (click)="add()">افزودن</button>
    <button mat-flat-button color="primary" (click)="cancel()">منصرف شدم</button>
  </mat-card-footer>
</mat-card>